---
title: Concurrent Devops
description: What's concurrent devops? Find out here.
suppress_header: true
extra_css:
  - concurrent-devops.css
---

.blank-header
  %img.image-border.image-border-left{ src: "/images/home/icons-pattern-left.svg", alt: "Gitlab hero border pattern left svg" }
  %img.image-border.image-border-right{ src: "/images/home/icons-pattern-right.svg", alt: "Gitlab hero border pattern right svg" }
  .header-content
    %h1 Concurrent DevOps
    %p Concurrent DevOps is a new way of thinking about how we create and ship software. Rather than organizing work in a sequence of steps and handoffs, the power of working concurrently is in unleashing collaboration across the organization.
    %a.btn.cta-btn.accent{ href: "/resources/whitepaper-concurrent-devops/" } Download concurrent devops whitepaper
.devops-content-container
  %section.container
    = partial "includes/home/value-pillars"
  %section.word-docs-container
    %p To illustrate the power of Concurrent DevOps, consider the difference between Microsoft Office and Google Docs:
    .flex-container.margin-top40.word-docs
      .full-width
        %h2 Microsoft Word
        .flex-container.align-center
          %img.word-docs-image{ src: "/images/concurrent-devops/word-doc.svg", alt: "Gitlab word doc svg" }
          %p One person edits at a time
        .flex-container.align-center
          %img.word-docs-image{ src: "/images/concurrent-devops/word-doc-copy.svg", alt: "Gitlab multiple copies svg" }
          %p Multiple copies (hand offs)
        .flex-container.align-center
          %img.word-docs-image{ src: "/images/concurrent-devops/word-doc-conflicts.svg", alt: "Gitlab version conflicts svg" }
          %p Version conflicts
        .flex-container.align-center
          %img.word-docs-image{ src: "/images/concurrent-devops/word-doc-feedback.svg", alt: "Gitlab waiting for feedback svg" }
          %p Waiting for feedback
        .flex-container.align-center
          %img.word-docs-image{ src: "/images/concurrent-devops/word-doc.svg", alt: "Gitlab sequential svg" }
          %p Sequential
      .full-width
        %h2 Google Docs
        .flex-container.align-center
          %img.word-docs-image{ src: "/images/concurrent-devops/google-doc.svg", alt: "Gitlab google doc svg" }
          %p Many people edit at the same time
        .flex-container.align-center
          %img.word-docs-image{ src: "/images/concurrent-devops/google-doc-copy.svg", alt: "Gitlab one copy svg" }
          %p One copy
        .flex-container.align-center
          %img.word-docs-image{ src: "/images/concurrent-devops/google-doc-conflicts.svg", alt: "Gitlab no conflicts svg" }
          %p No conflicts
        .flex-container.align-center
          %img.word-docs-image{ src: "/images/concurrent-devops/google-doc-feedback.svg", alt: "Gitlab real time feedback svg" }
          %p Real time feedback
        .flex-container.align-center
          %img.word-docs-image{ src: "/images/concurrent-devops/google-doc.svg", alt: "Gitlab concurrent svg" }
          %p Concurrent
  %section.tile
    %p Traditional software development is typically sequential, where work flows from one team to another.   Not unlike how documents are developed using Microsoft Word.  Concurrent DevOps is different. Teams can collaborate and contribute to new features early and often in the life cycle. This dramatically shortens cycle times and accelerates delivery because everyone can contribute much earlier.
  %section.flex-container
    .full-width.column
      %h2 Everyone can contribute
      %p Whether you’re a developer, an engineer, a product manager, a security expert, or a Product Designer, you need to collaborate with a lot of different people to get work done. However, getting everyone on board isn’t always easy. That’s why we created GitLab.
    .full-width.column
      %h2 Connecting teams to accelerate innovation
      %p We believe everyone should be able to easily and efficiently contribute and set out to make this easy for teams of all types and sizes by creating a single, shared space where everyone can work concurrently, get all the information needed in one place, and see changes in real time.
  %section.tile.contribute-tile.flex-container.justify-center.align-center
    %img{ src: "/images/devops-tools/gitlab-logo.svg", alt: "Gitlab logo svg" }
    %p GitLab accelerates your software development and delivery across every stage of the DevOps lifecycle.
    %a.text-center{href: "/product/"} Learn more →
